View Issue Details

IDProjectCategoryView StatusLast Update
0000908SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.9 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000908: Table that has a sequence for increment column fails to migrate data
DescriptionTable that has a sequence for increment column fails to migrate data. The same sequence name is used for temp table and the real table.

This issue does NOT fix the issue of setting the starting sequence number to the max value in the table.
TagsNo tags attached.

Activities

chenson

2012-12-16 12:32

administrator   ~0000145

Prepare for release

Related Changesets

SymmetricDS: master 417500f5

2012-11-13 20:02:13

chenson

Details Diff
0000908: Table that has a sequence for increment column fails to migrate data
0000908
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/hsqldb/HsqlDbDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/hsqldb2/HsqlDb2DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/interbase/InterbaseDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mysql/MySqlDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sybase/SybaseDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2012-11-13 20:00 chenson New Issue
2012-11-13 20:12 chenson Status new => resolved
2012-11-13 20:12 chenson Fixed in Version => 3.2.0
2012-11-13 20:12 chenson Resolution open => fixed
2012-11-13 20:12 chenson Assigned To => chenson
2012-12-16 12:32 chenson Note Added: 0000145
2012-12-16 12:32 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6506
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 417500f5